> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Many Carriers

> Query a list of carriers



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/carriers
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/carriers:
    get:
      tags:
        - Carriers
      summary: Get Many Carriers
      description: Query a list of carriers
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - in: query
          name: limit
          schema:
            default: 10
            type: integer
        - in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  carriers:
                    items:
                      description: columns and relationships of "carriers"
                      nullable: false
                      properties:
                        addressId:
                          nullable: true
                          title: String
                          type: string
                        billingAddressId:
                          nullable: true
                          title: String
                          type: string
                        cargoInsuranceExpireDate:
                          nullable: true
                          title: String
                          type: string
                        createdAt:
                          $ref: '#/components/schemas/timestamptz'
                        currency:
                          $ref: '#/components/schemas/CurrencyCodeEnum'
                        dotNumber:
                          nullable: true
                          title: String
                          type: string
                        email:
                          nullable: true
                          title: String
                          type: string
                        generalLiabilityInsuranceExpireDate:
                          nullable: true
                          title: String
                          type: string
                        id:
                          nullable: false
                          title: String
                          type: string
                        liabilityInsuranceExpireDate:
                          nullable: true
                          title: String
                          type: string
                        mcNumber:
                          nullable: true
                          title: String
                          type: string
                        name:
                          nullable: true
                          title: String
                          type: string
                        phone:
                          nullable: true
                          title: String
                          type: string
                        scacNumber:
                          nullable: true
                          title: String
                          type: string
                        shipmentId:
                          nullable: true
                          title: String
                          type: string
                        sourceSystem:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemId:
                          nullable: true
                          title: String
                          type: string
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz'
                      title: Carriers
                      type: object
                    nullable: false
                    type: array
          description: Responses for GET /api/rest/carriers
components:
  schemas:
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    CurrencyCodeEnum:
      enum:
        - AED
        - AUD
        - BRL
        - CAD
        - CHF
        - CNY
        - EGP
        - EUR
        - GBP
        - HKD
        - IDR
        - INR
        - JPY
        - KRW
        - MXN
        - MYR
        - NZD
        - QAR
        - SAR
        - SGD
        - THB
        - TRY
        - TWD
        - USD
        - VND
        - ZAR
      nullable: false
      title: CurrencyCodeEnum

````